package inf101.v18.rogue101.items.buff;

import inf101.v18.rogue101.object.Item;

/**
 * An item that increases one or more of a player's stats
 */
public interface BuffItem extends Item {

    /**
     * Retrieve damage increase done by the buff item.
     *
     * @return An int, May be 0
     */
    default int getBuffDamage() {
        return 0;
    }

    /**
     * Retrieve defence increase done by the buff item.
     *
     * @return An int, May be 0
     */
    default int getBuffDefene() {
        return 0;
    }

    /**
     * Retrieve defence increase done by the buff item.
     *
     * @return An int, May be 0
     */
    default int getBuffDamageReduction() {
        return 0;
    }

    /**
     * Retrieve visibility increase done by the buff item.
     *
     * @return An int, May be 0
     */
    default int getBuffVisibility() {
        return 0;
    }

}
