package inf101.v18.rogue101.items.weapon;

import inf101.v18.rogue101.game.Game;
import inf101.v18.rogue101.object.Item;

import java.util.Random;

public class BasicSword implements MeleeWeapon {
    private static final Random random = new Random();
    private final int damage = 5 + random.nextInt(25);
    private int hp = getMaxHealth();

    @Override
    public int getWeaponDamage() {
        return damage;
    }

    @Override
    public int getWeaponAttack() {
        return 5;
    }

    @Override
    public int getCurrentHealth() {
        return hp;
    }

    @Override
    public int getDefense() {
        return 0;
    }

    @Override
    public int getMaxHealth() {
        return 100;
    }

    @Override
    public String getName() {
        return "Unknown sword";
    }

    @Override
    public int getSize() {
        return 2;
    }

    @Override
    public String getPrintSymbol() {
        return "⚔";
    }

    @Override
    public String getSymbol() {
        return "S";
    }

    @Override
    public int handleDamage(Game game, Item source, int amount) {
        hp -= amount;
        return amount;
    }
}
