package inf101.v18.rogue101.items.weapon;

import inf101.v18.rogue101.object.Item;
import inf101.v18.rogue101.state.Sound;

public interface Weapon extends Item {

    /**
     * Retrieves the damage points of a weapon.
     *
     * @return An int
     */
    int getWeaponDamage();

    /**
     * Returns the attack points of a weapon
     *
     * @return <p>The attack points as an integer</p>
     */
    int getWeaponAttack();

    /**
     * Retrieves the sound to play upon an attack
     *
     * @return <p>The sound to use</p>
     */
    Sound getSound();

}
