package inf101.v18.rogue101.object;

import inf101.v18.gfx.gfxmode.ITurtle;
import inf101.v18.gfx.textmode.BlocksAndBoxes;
import inf101.v18.rogue101.game.Game;

/**
 * A solid wall blocking passage
 */
public class Wall implements Item {

    private int hp = getMaxHealth();

    @Override
    public boolean draw(ITurtle painter, double w, double h) {
        return false;
    }

    @Override
    public int getCurrentHealth() {
        return hp;
    }

    @Override
    public int getDefense() {
        return 10;
    }

    @Override
    public int getMaxHealth() {
        return 1000;
    }

    @Override
    public String getName() {
        return "wall";
    }

    @Override
    public int getSize() {
        return Integer.MAX_VALUE;
    }

    @Override
    public String getSymbol() {
        return BlocksAndBoxes.BLOCK_FULL;
    }

    @Override
    public int handleDamage(Game game, Item source, int amount) {
        hp -= amount;
        return amount;
    }

}
