package inf101.v18.rogue101.state;

import java.util.Random;

/**
 * The personality of an enemy, which defines its combat behavior
 */
public enum Personality {

    /**
     * An enemy that attacks on sight
     */
    AGGRESSIVE,

    /**
     * An enemy that attacks if attacked
     */
    CALM,

    /**
     * An enemy that flees from battle
     */
    AFRAID;

    private static final Random random = new Random();

    public static Personality getRandom() {
        return values()[random.nextInt(values().length)];
    }

}
